PLASMAENGINEEXPLO(1)

NAMA
plasmaengineexplorer - Menyediakan akses langsung ke mesin data plasma

SINOPSIS

plasmaengineexplorer [-v, --version] [-h, --help] [--list] [--heightpixel] [--widthpixel] [-xpixel] [-ypixel] [--enginemesin data] [--sourcemesin data] [--intervalms] [--appaplikasi]

plasmaengineexplorer [Generik KDE Options] [Opsi Generik Qt]

DESKRIPSI

plasmaengineexplorer adalah sebuah alat grafis memungkinkan pengembang untuk menguji mesin data Plasma tanpa penulisan applet Plasma.

Jika tidak ada opsi yang diberikan, itu akan dimulai tanpa mesin data apa pun yang dipilih. Mesin data yang diperlukan bisa dipilih dari daftar tarik-turun.

Hanya mesin data yang terinstal yang akan ditemukan. kbuildsycoca4 mungkin perlu dijalankan untuk mesin data yang baru diinstal agar ditemukan.

OPSI

-v, --version
    Mendisplaikan informasi versi.

-h, --help
    Mendisplaikan bantuan ini.

--list pixel
    Displaikan daftar mesin yang diketahui dan deskripsi-deskripsinya.

--height
    Mengeset tingginya window, dalam pixel.

--width pixel
    Mengeset lebarnya window, dalam pixel.

-x pixel
    Mengeset koordinat x (mendatar) sudut kiri atasnya window, dalam pixel.

-y pixel
    Mengeset koordinat y (menegak) sudut kiri atasnya window, dalam pixel.

--engine mesin data
    Mulaikan plasmaengineexplorer dengan memberikan mesin data terpilih. mesin data adalah nama internalnya mesin data yang diberikan oleh kunci X-KDE-PluginInfo-Name -nya file desktop.

--source mesin data
    Hanya absah dalam konjungsi dengan --engine. Meminta sebuah sumber spesifik dari mesin data ketika plasmaengineexplorer dimulai.

--interval waktu
    Mengeset pembaruan baku interval untuk sumber yang diminta untuk waktu milidetik. Jika tidak disetel, sumber akan diperbarui sesuai permintaan (untuk beberapa sumber, ini akan terjadi ketika data telah tersedia).

    Jika --source ditentukan, ini adalah pembaruan interval yang akan digunakan ketika meminta sumber tersebut.

--app aplikasi
    Hanya tampilkan mesin yang diasosiasikan dengan aplikasi induk; petakan ke entri X-KDE-ParentApp di file .desktop DataEngine.

LIHAT JUGA

Dokumentasi pengguna lebih terperinci telah tersedia dari help:/plasma-desktop (antara memasukkan URL ini ke dalam Konqueror, atau menjalankan khelpcenter help:/plasma-desktop).

CONTOH

Muat mesin data waktu, menampilkan waktu lokal dan pembaruan setiap detik:

    plasmaengineexplorer --engine time --source Local --interval 1000

PENULIS

plasmaengineexplorer ditulis oleh Aaron Seigo <aseigo@kde.org>.